@charset "utf-8";

html,
body {
    overflow-x: hidden !important; 
    width: 100%;
}

html::-webkit-scrollbar {
    width: 6px;
}

html::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
    border: 1px solid transparent;
    background-clip: padding-box;
}

html::-webkit-scrollbar-track {
    background: #eeeeee;
}

main {
    width: calc(100% - 73px);
    margin-left: 73px;
    background: #eff8ff url(/images/common/main_bg.jpg) center no-repeat;
    background-size: cover;
    justify-content: space-between;
    display: flex;
    flex-direction: column;
}


.main_wrapper {
    display: flex;
    align-items: start;
    justify-content: center;
    padding-top: 104px;
    position: relative;
    height: fit-content;
}

.main_wrapper .left {
    text-align: center;
}

.main_wrapper .left .top h5 {
    font-size: 25px;
    font-family: 'gmarket';
    font-weight: 400;
    color: #666666;
}

.main_wrapper .left .blue {
    color: #3b66a7 !important;
}

.main_wrapper .left .logo {
    margin-block: 14px;
}

.main_wrapper .left h4 {
    font-size: 25px;
    font-weight: 500;
    color: #4e545c;
    letter-spacing: 2px;
    font-family: 'gmarket';
}

.main_wrapper .qes {
    margin-block: 48px 40px;
    font-size: 33px;
    font-weight: 900;
    color: #2b4060;
    font-family: 'gmarket';
}

.main_wrapper .search {
    overflow: hidden;
    width: 780px;
    height: 143px;
    filter: drop-shadow(0 0 20px rgba(55, 79, 115, .12));
}


.chat_container {
    margin: 0 auto;
    /* padding: 32px 0; */
    width: 100%;
    min-width: 820px;
}

.input_box {
    padding: 10px 20px 50px 20px;
    border: 1px solid #d4d7dc;
    overflow: hidden;
    position: relative;
    max-height: 80px;
    background: #fff;
    transition: border-color .2s, box-shadow .2s;
    border-radius: 12px;
    box-shadow: 0 0 20px rgba(55, 79, 115, .12);
}

.input_box:focus-within {
    border-color: #71a2ea;
    box-shadow: 0 0 0 3px rgba(94, 155, 255, .25);
}

#chatting {
    padding-right: 10px;
    border: none;
    outline: none;
    overflow-y: auto;
    width: calc(100% - 10px);
    min-height: 75px;
    max-height: 170px;
    background: transparent;
    font-size: 16px;
    line-height: 1.5;
    resize: none;
}

#chatting::-webkit-scrollbar {
    width: 8px;
}

#chatting::-webkit-scrollbar-thumb {
    background: #3b66a7;
    border-radius: 10px;
}

#chatting::-webkit-scrollbar-track {
    background: rgb(209, 232, 243);
    border-radius: 10px;
}


#chatting::placeholder {
    color: #9ea4b0;
    font-weight: 200;
}

.button_wrap {
    display: inline-flex;
    gap: 16px;
    align-items: center;
    justify-content: end;
    position: absolute;
    right: 20px;
    bottom: 10px;
    width: fit-content;
    height: fit-content;
}

.send_btn {
    border: none;
    right: 14px;
    bottom: 14px;
    width: 32px;
    height: 32px;
    background: none;
    transition: opacity .2s;
    cursor: pointer;
    opacity: .5;
}

.send_btn img {
    width: 100%;
    height: 100%;
}

.send_btn:hover {
    opacity: 1;
}

.keyword {
    display: flex;
    gap: 16px 8px;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
    margin-top: 20px;
    width: 72%;
}

.keyword li {
    padding: 6px 14px;
    border: 1px solid #fff;
    background: rgba(255, 255, 255, 0.6);
    font-size: 16px;
    font-weight: 200;
    color: #333;
    transition: .2s;
    cursor: pointer;
    border-radius: 20px;
    filter: drop-shadow(0 0 10px rgba(55, 79, 115, .1));
}

.keyword li:hover {
    border-color: #3b66a7;
    background: #fff;
}

.main_wrapper .popup {
    overflow: auto;
    position: absolute;
    right: 25px;
    bottom: -180px;
    width: 400px;
    height: 215px;
    padding-right: 10px;
}

.main_wrapper .popup::-webkit-scrollbar {
    width: 8px;
}

.main_wrapper .popup::-webkit-scrollbar-thumb {
    background: #3b66a7;
    border-radius: 10px;
}

.main_wrapper .popup::-webkit-scrollbar-track {
    background: rgba(252, 254, 255, .7);
    border-radius: 10px;
}

.main_wrapper .popup ul {
    display: flex;
    gap: 10px;
    flex-direction: column;
}

.main_wrapper .popup li {
    display: inline-flex;
    gap: 8px;
    align-items: center;
    justify-content: space-between;
    padding: 12px 20px;
    border: 1px dotted #3b66a7;
    background-color: rgba(252, 254, 255, .7);
    font-size: 16px;
    font-weight: 200;
    color: #333;
    border-radius: 17px;
    cursor: pointer;
}

.main_wrapper .popup li p {
    width: 100%;
}

.main_wrapper .popup .close {
    opacity: 1;
}

/* banner */
.sec_banner {
    background: linear-gradient(180deg, rgb(239 248 255 / 17%) 0%, rgb(230 243 253 / 80%) 52%, rgba(203, 227, 247, 1) 100%);
    overflow: hidden;
    position: absolute;
    bottom: 0;
    right: 0;
    width: calc(100% - 113px);
    max-width: none;
    padding-inline: 20px;
}

.sec_banner .top {
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.banner_hint {
    font-size: 18px;
    color: #48596f;
    margin-bottom: 8px;
    text-align: left;
    position: relative;
    padding-left: 10px;
    font-weight: 400;
    z-index: 4;
}

.banner_hint:after {
    content: "";
    position: absolute;
    left: 10px;
    bottom: -7px;
    width: 48px;
    height: 3px;
    background: #3b6fb6;
    border-radius: 2px;
}

.sec_banner .control {
    width: fit-content;
    background: #b6cae3;
    padding: 6px;
    border-radius: 8px;
    display: none;
}

.sec_banner .bn_stop,
.sec_banner .swiper-button-next,
.sec_banner .swiper-button-prev {
    position: static;
    margin: 0;
    width: 24px;
    height: 24px;
    border-radius: 6px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #021430;
    background: #3b66a7;
    transition: .3s;
    font-family: serif;
    opacity: 1;
}

.sec_banner .bn_stop:hover,
.sec_banner .swiper-button-next:hover,
.sec_banner .swiper-button-prev:hover {
    background-color: #123466;
}

.sec_banner .swiper-button-next:after,
.sec_banner .swiper-button-prev:after {
    font-size: 15px;
    font-weight: 700;
    color: #fff;
}

.sec_banner .bn_stop:after {
    content: "";
    background: url(/images/common/btn_w_control.png) no-repeat;
    background-position: 9px -237px;
    display: inline-block;
    padding-bottom: 6px;
    width: 26px;
    height: 26px;
}

.sec_banner .bn_stop.on:after {
    background-position: 9px -195px;
}

#banner {
    width: 100%;
    box-sizing: border-box;
}

#banner .bn_swiper {
    width: 100%;
    padding: 16px 0 10px;
    box-sizing: border-box;
    border-radius: 8px;
    overflow: hidden;
}


.bn_swiper .swiper-wrapper {
    margin: 0;
    padding: 0;
    list-style: none;
    transition-timing-function: cubic-bezier(0.22, 1, 0.36, 1);
}

#banner .bn_swiper .banner_list {
    width: 180px;
    height: 42px;
    background: rgba(255, 255, 255, .55);
    border-radius: 60px;
    box-shadow: 0 1px 3px rgba(55, 79, 115, .4);
    transition: transform .2s, box-shadow .2s;
}

#banner .bn_swiper .banner_list {
    position: relative;
}

#banner .bn_swiper .banner_list::before {
    content: "";
    position: absolute;
    inset: -2px;
    border: 2px solid #3b66a7;
    border-radius: inherit;
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    transition: clip-path .55s cubic-bezier(0.126, 1.02, 0.22, 1.05);
    pointer-events: none;
}

#banner .bn_swiper .banner_list:hover {
    transform: translateY(-3px)
}

#banner .bn_swiper .banner_list:hover::before {
    clip-path: polygon(0 0,
            100% 0,
            100% 100%,
            0 100%);
}

#banner .bn_swiper .banner_list a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    border-radius: 60px;
    overflow: hidden;
    font-size: 18px;
    background: #fff;
}

#banner .bn_swiper .banner_list img {
    display: block;
    padding: 5px;
    height: 80%;
}

@media screen and (max-width: 1880px) {
    .main_wrapper {
        gap: 4vw;
        flex-wrap: wrap;
        width: 100%;
    }

    .main_wrapper .left {
        padding-inline: 0;
    }

    .main_wrapper .popup {
        position: static;
        width: calc(100% - 40vw);
        height: 109px;
        margin-bottom: 0;
    }

    .main_wrapper .popup ul {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(210px, 1fr));
    }
}

@media screen and (max-width: 1363px) {
    .main_wrapper .popup {
        padding-inline: 2vw;
        height: 175px;
        width: 100%;
    }
}

@media screen and (max-width: 1024px) {
    main {
        width: calc(100% - 73px);
    }

    .main_wrapper {
        padding-top: 2rem;
        gap: 45px;
        height: auto;
        justify-content: center;
        align-items: center;
        position: static;
        width: calc(100% - 40px);
        margin: 0 auto;
    }

    .main_wrapper .left {
        width: 100%;
    }

    .chat_container {
        min-width: 100%;
    }
}


@media screen and (max-width : 768px) {

    main {
        width: 100%;
        gap: 7.5vh;
        width: 100%;
        margin-left: 0;
    }


    #content {
        min-height: 100dvh;
        width: 100% !important;
        overflow-y: auto;
    }

    .main_wrapper {
        padding-inline: 20px;
        padding-top: 82px;
        width: calc(100% - 40px);
    }

    .main_wrapper .left {
        padding-inline: 0;
    }

    .keyword {
        width: 100%;
    }

    .keyword li {
        width: 100px;
        font-size: 15px;
    }


    .input_box {
        max-height: 140px;
        padding: 8px 10px 50px 8px;
    }

    #chatting {
        min-height: 140px;
        font-size: 14px;
    }

    .sec_banner {
        width: 100%;
        box-sizing: border-box;
        max-width: 100vw;
        position: static;
    }

    .sec_banner .control {
        right: 24px;
    }

    #banner {
        padding: 0;
    }

    #banner .bn_swiper {
        padding: 24px 0 10px;
    }
}

@media screen and (max-width : 568px) {

    html,
    body {
        height: fit-content;
    }

    main {
        width: 100%;
        height: 100%;
        overflow-y: auto;
    }

    .main_wrapper .left {
        padding-inline: 0;
    }

    .main_wrapper .left .top h5 {
        font-size: 20px;
    }

    .main_wrapper .left .logo img {
        width: 130px;
    }

    .main_wrapper .left h4 {
        font-size: 16px;
    }

    .main_wrapper .qes {
        margin-block: 26px 14px;
        font-size: 22px;
    }

    .input_box {
        max-height: 30px;
        padding: 8px 10px 10px 8px;
        display: flex;
        gap: 10px;
        align-items: center;
    }

    #chatting {
        min-height: unset;
        height: 45px;
        font-size: 14px;
        max-height: none;
    }

    .button_wrap {
        position: static;
        right: 13px;
    }

    .send_btn {
        width: 32px;
    }

    .send_btn img {
        width: 100%;
    }

    .keyword li {
        width: 36%;
        font-size: 14px;
    }

    .main_wrapper .popup {
        width: 100%;
        padding-inline: 0px;
        margin-bottom: 0;
    }

    .main_wrapper .popup ul {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }

    .main_wrapper .popup li {
        font-size: 14px;
        padding: 9px 12px;
        width: calc(100% - 32px);
        margin: 0 auto;
    }

    /* #banner .bn_swiper .banner_list {
        height: 56px;
        border-radius: 5px;
    } */

    .banner_hint {
        font-size: 16px;
    }

    .sec_banner .control {
        padding: 5px;
        gap: 5px;
        display: inline-flex;
        display: none;
    }

    #banner .bn_swiper .banner_list:hover {
        transform: translateY(0px);
    }

    #banner .bn_swiper .banner_list:hover::before {
        display: none;
    }

    #banner .bn_swiper .banner_list a {
        font-size: 16px;
    }

    .sec_banner .swiper-button-next:after,
    .sec_banner .swiper-button-prev:after {
        font-size: 14px;
    }
}

@media screen and (max-width : 450px) {
}

@media screen and (orientation: landscape) and (max-height: 768px) {
    .main_wrapper .popup {
        height: 34vh;
    }
}